Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
4f776a8148e58c732b8d3b190539cbc68342f2ea
[simgrid.git] / teshsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 VPATH = @srcdir@
23 pkgdatadir = $(datadir)/@PACKAGE@
24 pkglibdir = $(libdir)/@PACKAGE@
25 pkgincludedir = $(includedir)/@PACKAGE@
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 noinst_PROGRAMS = xbt/parallel_log_crashtest$(EXEEXT) \
42         gras/datadesc_usage$(EXEEXT)
43 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
44         $(top_srcdir)/acmacro/dist-files.mk
45 subdir = teshsuite
46 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
47 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
48         $(top_srcdir)/acmacro/compiler-flags.m4 \
49         $(top_srcdir)/acmacro/context.m4 \
50         $(top_srcdir)/acmacro/fancy_configury.m4 \
51         $(top_srcdir)/acmacro/flex.m4 \
52         $(top_srcdir)/acmacro/gras_arch.m4 \
53         $(top_srcdir)/acmacro/print_null.m4 \
54         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
55 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
56         $(ACLOCAL_M4)
57 mkinstalldirs = $(install_sh) -d
58 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
59 CONFIG_CLEAN_FILES =
60 PROGRAMS = $(noinst_PROGRAMS)
61 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
62         datadesc_structs.$(OBJEXT)
63 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
64 gras_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
65 am__dirstamp = $(am__leading_dot)dirstamp
66 xbt_parallel_log_crashtest_SOURCES = xbt/parallel_log_crashtest.c
67 xbt_parallel_log_crashtest_OBJECTS = parallel_log_crashtest.$(OBJEXT)
68 xbt_parallel_log_crashtest_DEPENDENCIES = $(LDADD_RL)
69 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
70 depcomp = $(SHELL) $(top_srcdir)/depcomp
71 am__depfiles_maybe = depfiles
72 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
73         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
74 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
75         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
76         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
77 CCLD = $(CC)
78 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
79         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
80         $(LDFLAGS) -o $@
81 SOURCES = $(gras_datadesc_usage_SOURCES) xbt/parallel_log_crashtest.c
82 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) \
83         xbt/parallel_log_crashtest.c
84 ETAGS = etags
85 CTAGS = ctags
86 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
87 ACLOCAL = @ACLOCAL@
88 ADDR2LINE = @ADDR2LINE@
89 AMTAR = @AMTAR@
90 AM_CPPFLAGS = @AM_CPPFLAGS@
91 AR = @AR@
92 AS = @AS@
93 AUTOCONF = @AUTOCONF@
94 AUTOHEADER = @AUTOHEADER@
95 AUTOMAKE = @AUTOMAKE@
96 AWK = @AWK@
97 BASH = @BASH@
98 CC = @CC@
99 CCDEPMODE = @CCDEPMODE@
100 CFLAGS = @CFLAGS@
101 CPP = @CPP@
102 CPPFLAGS = @CPPFLAGS@
103 CXX = @CXX@
104 CXXCPP = @CXXCPP@
105 CXXDEPMODE = @CXXDEPMODE@
106 CXXFLAGS = @CXXFLAGS@
107 CYGPATH_W = @CYGPATH_W@
108 DEFS = @DEFS@
109 DEPDIR = @DEPDIR@
110 DLLTOOL = @DLLTOOL@
111 DOXYGEN = @DOXYGEN@
112 ECHO = @ECHO@
113 ECHO_C = @ECHO_C@
114 ECHO_N = @ECHO_N@
115 ECHO_T = @ECHO_T@
116 EGREP = @EGREP@
117 EXEEXT = @EXEEXT@
118 FLEXML = @FLEXML@
119 GCJ = @GCJ@
120 GCJDEPMODE = @GCJDEPMODE@
121 GCJFLAGS = @GCJFLAGS@
122 GRAS_DEP = @GRAS_DEP@
123 GREP = @GREP@
124 INSTALL = @INSTALL@
125 INSTALL_DATA = @INSTALL_DATA@
126 INSTALL_PROGRAM = @INSTALL_PROGRAM@
127 INSTALL_SCRIPT = @INSTALL_SCRIPT@
128 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
129 JAR = @JAR@
130 JAVA = @JAVA@
131 JAVAC = @JAVAC@
132 LDFLAGS = @LDFLAGS@
133 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
134 LEX = @LEX@
135 LEXLIB = @LEXLIB@
136 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
137 LIBOBJS = @LIBOBJS@
138 LIBS = @LIBS@
139 LIBTOOL = @LIBTOOL@
140 LN_S = @LN_S@
141 LTLIBOBJS = @LTLIBOBJS@
142 MAINT = @MAINT@
143 MAKEINFO = @MAKEINFO@
144 MD5SUM = @MD5SUM@
145 MKDIR_P = @MKDIR_P@
146 OBJDUMP = @OBJDUMP@
147 OBJEXT = @OBJEXT@
148 PACKAGE = @PACKAGE@
149 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
150 PACKAGE_NAME = @PACKAGE_NAME@
151 PACKAGE_STRING = @PACKAGE_STRING@
152 PACKAGE_TARNAME = @PACKAGE_TARNAME@
153 PACKAGE_VERSION = @PACKAGE_VERSION@
154 PATH_SEPARATOR = @PATH_SEPARATOR@
155 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
156 RANLIB = @RANLIB@
157 SET_MAKE = @SET_MAKE@
158 SHELL = @SHELL@
159 SIMGRID_DEP = @SIMGRID_DEP@
160 SMPI_DEP = @SMPI_DEP@
161 STRIP = @STRIP@
162 VERSION = @VERSION@
163 WARNING = @WARNING@
164 abs_builddir = @abs_builddir@
165 abs_srcdir = @abs_srcdir@
166 abs_top_builddir = @abs_top_builddir@
167 abs_top_srcdir = @abs_top_srcdir@
168 ac_configure_args = @ac_configure_args@
169 ac_ct_CC = @ac_ct_CC@
170 ac_ct_CXX = @ac_ct_CXX@
171 am__include = @am__include@
172 am__leading_dot = @am__leading_dot@
173 am__quote = @am__quote@
174 am__tar = @am__tar@
175 am__untar = @am__untar@
176 bindir = @bindir@
177 build = @build@
178 build_alias = @build_alias@
179 build_cpu = @build_cpu@
180 build_id = @build_id@
181 build_os = @build_os@
182 build_vendor = @build_vendor@
183 builddir = @builddir@
184 datadir = @datadir@
185 datarootdir = @datarootdir@
186 docdir = @docdir@
187 dvidir = @dvidir@
188 exec_prefix = @exec_prefix@
189 host = @host@
190 host_alias = @host_alias@
191 host_cpu = @host_cpu@
192 host_os = @host_os@
193 host_vendor = @host_vendor@
194 htmldir = @htmldir@
195 includedir = @includedir@
196 infodir = @infodir@
197 install_sh = @install_sh@
198 libdir = @libdir@
199 libexecdir = @libexecdir@
200 localedir = @localedir@
201 localstatedir = @localstatedir@
202 mandir = @mandir@
203 mkdir_p = @mkdir_p@
204 oldincludedir = @oldincludedir@
205 pdfdir = @pdfdir@
206 prefix = @prefix@
207 program_transform_name = @program_transform_name@
208 psdir = @psdir@
209 pth_skaddr_makecontext = @pth_skaddr_makecontext@
210 pth_sksize_makecontext = @pth_sksize_makecontext@
211 sbindir = @sbindir@
212 sharedstatedir = @sharedstatedir@
213 srcdir = @srcdir@
214 sysconfdir = @sysconfdir@
215 target = @target@
216 target_alias = @target_alias@
217 target_cpu = @target_cpu@
218 target_os = @target_os@
219 target_vendor = @target_vendor@
220 top_builddir = @top_builddir@
221 top_srcdir = @top_srcdir@
222 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
223 AM_CFLAGS = -g
224 CLEANFILES = gras/datadesc_usage.out datadesc_usage.out
225 EXTRA_DIST = \
226   gras/datadesc.little32_4 \
227   gras/datadesc.little64\
228   gras/datadesc.big32_8 gras/datadesc.big32_8_4 gras/datadesc.big32_2 \
229   gras/mk_datadesc_structs.pl
230
231 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
232 TESTS = xbt/parallel_log_crashtest.tesh     \
233         gras/datadesc_mem.tesh          \
234         gras/datadesc_rw.tesh           \
235         gras/datadesc_r_little32_4.tesh \
236         gras/datadesc_r_little64.tesh   \
237         \
238         gras/datadesc_r_big32_8.tesh      \
239         gras/datadesc_r_big32_8_4.tesh  \
240         gras/datadesc_r_big32_2.tesh
241
242
243 # Data sets still to regenerate:
244 XFAIL_TESTS = \
245         gras/datadesc_r_little32.tesh   \
246         gras/datadesc_r_big32_8.tesh      \
247         gras/datadesc_r_big32_8_4.tesh  \
248         gras/datadesc_r_big32_2.tesh
249
250 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la
251 LDADD_RL = $(abs_top_builddir)/src/libgras.la
252
253 # Try parallel logs 
254 xbt_parallel_log_crashtest_LDADD = $(LDADD_RL)
255
256 # Try structured communication facilities
257 gras_datadesc_usage_SOURCES = gras/datadesc_usage.c gras/datadesc_structs.c
258 gras_datadesc_usage_LDADD = $(LDADD_RL)
259 all: all-am
260
261 .SUFFIXES:
262 .SUFFIXES: .c .lo .o .obj
263 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
264         @for dep in $?; do \
265           case '$(am__configure_deps)' in \
266             *$$dep*) \
267               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
268                 && exit 0; \
269               exit 1;; \
270           esac; \
271         done; \
272         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  teshsuite/Makefile'; \
273         cd $(top_srcdir) && \
274           $(AUTOMAKE) --gnu  teshsuite/Makefile
275 .PRECIOUS: Makefile
276 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
277         @case '$?' in \
278           *config.status*) \
279             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
280           *) \
281             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
282             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
283         esac;
284
285 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
286         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
287
288 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
289         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
290 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
291         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
292
293 clean-noinstPROGRAMS:
294         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
295           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
296           echo " rm -f $$p $$f"; \
297           rm -f $$p $$f ; \
298         done
299 gras/$(am__dirstamp):
300         @$(MKDIR_P) gras
301         @: > gras/$(am__dirstamp)
302 gras/datadesc_usage$(EXEEXT): $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_DEPENDENCIES) gras/$(am__dirstamp)
303         @rm -f gras/datadesc_usage$(EXEEXT)
304         $(LINK) $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_LDADD) $(LIBS)
305 xbt/$(am__dirstamp):
306         @$(MKDIR_P) xbt
307         @: > xbt/$(am__dirstamp)
308 xbt/parallel_log_crashtest$(EXEEXT): $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_DEPENDENCIES) xbt/$(am__dirstamp)
309         @rm -f xbt/parallel_log_crashtest$(EXEEXT)
310         $(LINK) $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_LDADD) $(LIBS)
311
312 mostlyclean-compile:
313         -rm -f *.$(OBJEXT)
314
315 distclean-compile:
316         -rm -f *.tab.c
317
318 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
319 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
320 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parallel_log_crashtest.Po@am__quote@
321
322 .c.o:
323 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
324 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
325 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
326 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
327 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
328
329 .c.obj:
330 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
331 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
332 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
333 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
334 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
335
336 .c.lo:
337 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
338 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
339 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
340 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
341 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
342
343 datadesc_usage.o: gras/datadesc_usage.c
344 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
345 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
346 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
347 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
348 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
349
350 datadesc_usage.obj: gras/datadesc_usage.c
351 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
352 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
353 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
354 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
355 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
356
357 datadesc_structs.o: gras/datadesc_structs.c
358 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
359 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
360 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
361 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
362 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
363
364 datadesc_structs.obj: gras/datadesc_structs.c
365 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
366 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
367 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
368 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
369 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
370
371 parallel_log_crashtest.o: xbt/parallel_log_crashtest.c
372 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.o -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
373 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
374 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.o' libtool=no @AMDEPBACKSLASH@
375 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
376 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
377
378 parallel_log_crashtest.obj: xbt/parallel_log_crashtest.c
379 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.obj -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
380 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
381 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.obj' libtool=no @AMDEPBACKSLASH@
382 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
383 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
384
385 mostlyclean-libtool:
386         -rm -f *.lo
387
388 clean-libtool:
389         -rm -rf .libs _libs
390
391 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
392         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
393         unique=`for i in $$list; do \
394             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
395           done | \
396           $(AWK) '    { files[$$0] = 1; } \
397                END { for (i in files) print i; }'`; \
398         mkid -fID $$unique
399 tags: TAGS
400
401 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
402                 $(TAGS_FILES) $(LISP)
403         tags=; \
404         here=`pwd`; \
405         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
406         unique=`for i in $$list; do \
407             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
408           done | \
409           $(AWK) '    { files[$$0] = 1; } \
410                END { for (i in files) print i; }'`; \
411         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
412           test -n "$$unique" || unique=$$empty_fix; \
413           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
414             $$tags $$unique; \
415         fi
416 ctags: CTAGS
417 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
418                 $(TAGS_FILES) $(LISP)
419         tags=; \
420         here=`pwd`; \
421         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
422         unique=`for i in $$list; do \
423             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
424           done | \
425           $(AWK) '    { files[$$0] = 1; } \
426                END { for (i in files) print i; }'`; \
427         test -z "$(CTAGS_ARGS)$$tags$$unique" \
428           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
429              $$tags $$unique
430
431 GTAGS:
432         here=`$(am__cd) $(top_builddir) && pwd` \
433           && cd $(top_srcdir) \
434           && gtags -i $(GTAGS_ARGS) $$here
435
436 distclean-tags:
437         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
438
439 check-TESTS: $(TESTS)
440         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
441         srcdir=$(srcdir); export srcdir; \
442         list=' $(TESTS) '; \
443         if test -n "$$list"; then \
444           for tst in $$list; do \
445             if test -f ./$$tst; then dir=./; \
446             elif test -f $$tst; then dir=; \
447             else dir="$(srcdir)/"; fi; \
448             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
449               all=`expr $$all + 1`; \
450               case " $(XFAIL_TESTS) " in \
451               *$$ws$$tst$$ws*) \
452                 xpass=`expr $$xpass + 1`; \
453                 failed=`expr $$failed + 1`; \
454                 echo "XPASS: $$tst"; \
455               ;; \
456               *) \
457                 echo "PASS: $$tst"; \
458               ;; \
459               esac; \
460             elif test $$? -ne 77; then \
461               all=`expr $$all + 1`; \
462               case " $(XFAIL_TESTS) " in \
463               *$$ws$$tst$$ws*) \
464                 xfail=`expr $$xfail + 1`; \
465                 echo "XFAIL: $$tst"; \
466               ;; \
467               *) \
468                 failed=`expr $$failed + 1`; \
469                 echo "FAIL: $$tst"; \
470               ;; \
471               esac; \
472             else \
473               skip=`expr $$skip + 1`; \
474               echo "SKIP: $$tst"; \
475             fi; \
476           done; \
477           if test "$$failed" -eq 0; then \
478             if test "$$xfail" -eq 0; then \
479               banner="All $$all tests passed"; \
480             else \
481               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
482             fi; \
483           else \
484             if test "$$xpass" -eq 0; then \
485               banner="$$failed of $$all tests failed"; \
486             else \
487               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
488             fi; \
489           fi; \
490           dashes="$$banner"; \
491           skipped=""; \
492           if test "$$skip" -ne 0; then \
493             skipped="($$skip tests were not run)"; \
494             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
495               dashes="$$skipped"; \
496           fi; \
497           report=""; \
498           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
499             report="Please report to $(PACKAGE_BUGREPORT)"; \
500             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
501               dashes="$$report"; \
502           fi; \
503           dashes=`echo "$$dashes" | sed s/./=/g`; \
504           echo "$$dashes"; \
505           echo "$$banner"; \
506           test -z "$$skipped" || echo "$$skipped"; \
507           test -z "$$report" || echo "$$report"; \
508           echo "$$dashes"; \
509           test "$$failed" -eq 0; \
510         else :; fi
511
512 distdir: $(DISTFILES)
513         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
514         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
515         list='$(DISTFILES)'; \
516           dist_files=`for file in $$list; do echo $$file; done | \
517           sed -e "s|^$$srcdirstrip/||;t" \
518               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
519         case $$dist_files in \
520           */*) $(MKDIR_P) `echo "$$dist_files" | \
521                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
522                            sort -u` ;; \
523         esac; \
524         for file in $$dist_files; do \
525           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
526           if test -d $$d/$$file; then \
527             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
528             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
529               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
530             fi; \
531             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
532           else \
533             test -f $(distdir)/$$file \
534             || cp -p $$d/$$file $(distdir)/$$file \
535             || exit 1; \
536           fi; \
537         done
538 check-am: all-am
539         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
540 check: check-am
541 all-am: Makefile $(PROGRAMS)
542 installdirs:
543 install: install-am
544 install-exec: install-exec-am
545 install-data: install-data-am
546 uninstall: uninstall-am
547
548 install-am: all-am
549         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
550
551 installcheck: installcheck-am
552 install-strip:
553         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
554           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
555           `test -z '$(STRIP)' || \
556             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
557 mostlyclean-generic:
558
559 clean-generic:
560         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
561
562 distclean-generic:
563         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
564         -rm -f gras/$(am__dirstamp)
565         -rm -f xbt/$(am__dirstamp)
566
567 maintainer-clean-generic:
568         @echo "This command is intended for maintainers to use"
569         @echo "it deletes files that may require special tools to rebuild."
570 clean: clean-am
571
572 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
573         mostlyclean-am
574
575 distclean: distclean-am
576         -rm -rf ./$(DEPDIR)
577         -rm -f Makefile
578 distclean-am: clean-am distclean-compile distclean-generic \
579         distclean-tags
580
581 dvi: dvi-am
582
583 dvi-am:
584
585 html: html-am
586
587 info: info-am
588
589 info-am:
590
591 install-data-am:
592
593 install-dvi: install-dvi-am
594
595 install-exec-am:
596
597 install-html: install-html-am
598
599 install-info: install-info-am
600
601 install-man:
602
603 install-pdf: install-pdf-am
604
605 install-ps: install-ps-am
606
607 installcheck-am:
608
609 maintainer-clean: maintainer-clean-am
610         -rm -rf ./$(DEPDIR)
611         -rm -f Makefile
612 maintainer-clean-am: distclean-am maintainer-clean-generic
613
614 mostlyclean: mostlyclean-am
615
616 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
617         mostlyclean-libtool
618
619 pdf: pdf-am
620
621 pdf-am:
622
623 ps: ps-am
624
625 ps-am:
626
627 uninstall-am:
628
629 .MAKE: install-am install-strip
630
631 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
632         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
633         distclean distclean-compile distclean-generic \
634         distclean-libtool distclean-tags distdir dvi dvi-am html \
635         html-am info info-am install install-am install-data \
636         install-data-am install-dvi install-dvi-am install-exec \
637         install-exec-am install-html install-html-am install-info \
638         install-info-am install-man install-pdf install-pdf-am \
639         install-ps install-ps-am install-strip installcheck \
640         installcheck-am installdirs maintainer-clean \
641         maintainer-clean-generic mostlyclean mostlyclean-compile \
642         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
643         tags uninstall uninstall-am
644
645
646 gras/datadesc_structs.c: gras/mk_datadesc_structs.pl
647         cd gras ; perl ../$(top_srcdir)/teshsuite/gras/mk_datadesc_structs.pl > datadesc_structs.c
648
649 dist-files:
650         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
651         @echo
652         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
653 # Tell versions [3.59,3.63) of GNU make to not export all variables.
654 # Otherwise a system limit (for SysV at least) may be exceeded.
655 .NOEXPORT: